<!--
  Generated template for the BrowsePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title style="text-transform: capitalize"> {{topic}} </ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-card *ngFor="let question of questions;let i=index" (click)="goToAnswerPage(i)">
        <ion-row>
          <ion-col col-1>
            <ion-row justify-content-center>
              <button ion-button (click)="upvote(i)">
                <ion-icon name="arrow-dropup"></ion-icon>
              </button>
            </ion-row>
            <ion-row justify-content-center>
              <p>{{question['votes']}}</p>
            </ion-row>
            <ion-row justify-content-center>
              <button ion-button (click)="downvote(i)">
                <ion-icon name="arrow-dropdown"></ion-icon>
              </button>
            </ion-row>
          </ion-col>
          <ion-col col-11 align-self-center>
            <h1>{{question['question']}}</h1>
          </ion-col>
        </ion-row>
      </ion-card>
    </ion-row>
  </ion-grid>

</ion-content>